local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Cutup", "Cutup")
if not Addon then return end

function Addon:Start()

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(false)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup.options.args.TickToxin.args.anchor.func(true)
		end
	end
end

function Addon:Stop()

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(true)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup.options.args.TickToxin.args.anchor.func(false)
		end
	end
end
