local revision = tonumber(("$Revision: 63424 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-03-02 22:36:56 -0500 (Sun, 02 Mar 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("SorrenTimers", "SorrenTimers")
if not Addon then return end

function Addon:Start()
    
    for k, v in pairs(SorrenTimers.db.char.groups) do
        if SorrenTimers.anchors then
            SorrenTimers.anchors[k]:Show()
        end
        SorrenTimers:OnAnchorClick(k, true)
    end
end

function Addon:Stop()

    for k, v in pairs(SorrenTimers.db.char.groups) do
        if SorrenTimers.anchors then
            SorrenTimers.anchors[k]:Hide()
        end
        SorrenTimers:OnAnchorClick(k, true)
    end
end
