local revision = tonumber(("$Revision: 63719 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-03-06 00:37:34 -0500 (Thu, 06 Mar 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("SmartBuff", "SmartBuff")
if not Addon then return end
Rock("LibRockHook-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 1
local TIMER_ID = "SmartBuffShakedown"

function Addon:Start()
    
    -- show the splash frame
    SMARTBUFF_Splash_Show()
    
    -- pretend that the options frame is visible - the splash frame's draggability depends on this
    self:AddHook(SmartBuffOptionsFrame, "IsVisible", function() return true end)

end

function Addon:Stop()

    -- hide the splash frame
    SMARTBUFF_Splash_Hide()
    
    -- unhook
    self:RemoveAllHooks()
    
end
